/one-mobile-applications-delete-one¶
Summary¶
Source repository:
jef-systems/jef-one-backendSource SHA:
3270463a2e6a5d905ceae779f9a588fdde3cef87Source run id:
25887986290Lambda function:
jef-one-mobile-applications-delete-oneHTTP method:
DELETEAPI path:
/one-mobile-applications-delete-oneEndpoint URL:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-delete-onePayload mode:
json-body
Description¶
Function: jef-one-mobile-applications-delete-oneModule: jef-oneAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /one-mobile-applications-delete-oneTable: jef-one-mobile-applicationsPrimary Key: mobile_application_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
mobile\_application\_id: 16b06bf7-7f70-454d-8947-ab94fdb81ada
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.mobile_application_id.type",
"value": "S"
},
{
"key": "root.attributes.mobile_application_id.required",
"value": "True"
},
{
"key": "root.attributes.mobile_application_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.mobile_application_id.regex",
"value": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "mobile_application_id",
"value": "16b06bf7-7f70-454d-8947-ab94fdb81ada"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-delete-one" -H "Content-Type: application/json" --data-raw "{\"mobile_application_id\": \"16b06bf7-7f70-454d-8947-ab94fdb81ada\"}"
PowerShell curl¶
curl.exe -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-delete-one" -H "Content-Type: application/json" --data-raw '{"mobile_application_id": "16b06bf7-7f70-454d-8947-ab94fdb81ada"}'